<?php

/**
 * Payment method paypal.
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  views
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

/* @var $this BookingViewReservation */
/* @var $payment TablePayment */

switch ($this->reservation->paid) {
	case  RESERVATION_PENDING:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			$price[] = $this->modelReservation->getFullPrice();
			$header[] = JText::_('FULL_RECEIVING'); 
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_FULL_PRICE_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPrice()), $payment->title));
			$return[] = JPath::clean(JURI::root() . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive')), '/');
		}
		if ($this->reservation->fullDeposit && ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_DEPOSIT)) { // option to pay deposit
			$price[] = $this->reservation->fullDeposit;
			$header[] = JText::_('DEPOSIT_RECEIVING');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_DEPOSIT_S_BY_S', BookingHelper::displayPrice($this->reservation->fullDeposit), $payment->title));
			$return[] = JPath::clean(JURI::root() . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit')), '/');		
		}
		break;
	case  RESERVATION_RECEIVE_DEPOSIT:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			$price[] = $this->modelReservation->getFullPriceWithoutDeposit();
			$header[] = JText::_('PAY_REST');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_REST_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPriceWithoutDeposit()), $payment->title));
			$return[] = JPath::clean(JURI::root() . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive')), '/');
		}
		break;
	default:
	case  RESERVATION_RECEIVE:
		$price = null;
		break;
}
if (is_array($price)) {
	$currency = $params->get('currency');
	$name = JText::sprintf('RESERVING_S', $this->reservation->subject_title);
	foreach ($price as $key => $value) {
?>
	<div class="hasTip payment" title="<?php echo $title[$key]; ?>">
		<strong><?php echo $header[$key]; ?></strong>
		<p><?php echo JText::_('AMOUNT').": ".BookingHelper::displayPrice($value); ?></p>
		<p><?php echo JText::_('INVOICE_NUM').": ".str_pad($this->reservation->id,9,0,STR_PAD_LEFT); ?>
	</div>
<?php
	}
}
?>
