<?php

/**
 * Payment method paypal controller.
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  payments
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

AImporter::model('payment');
jimport('joomla.environment.browser');

class BookingPaymentPaypal
{

    function processPayment()
    {
        $mainframe = &JFactory::getApplication();
        /* @var $mainframe JApplication */
        $model = new BookingModelPayment();
        /* @var $model BookingModelPayment */
        $payment = &$model->getObjectByAlias('paypal');
        /* @var $payment TablePayment */
        $browser = &JBrowser::getInstance();
        /* @var $browser JBrowser */
        
        //TODO check if work,old verion was with JParameter, now JRegistry
        $files = AImporter::payment('paypal');
        
        $params = new JRegistry();
        $params->loadString($payment->params);
        //$params = new JParameter($payment->params, $files['config']);
        /* @var $params JRegistry */
        
        $body = 'cmd=_notify-validate';
        foreach (JRequest::get('post') as $param => $value) {
            if (get_magic_quotes_gpc())
                $value = stripslashes($value);
            if (! eregi('^[_0-9a-z-]{1,30}$', $param) || ! strcasecmp($param, 'cmd'))
                continue;
            $body .= '&' . $param . '=' . urlencode($value);
        }
        
        $head = 'POST ' . ($path = '/cgi-bin/webscr') . ' HTTP/1.0' . ($eol = "\r\n");
        $head .= 'User-Agent: ' . ($agent = $browser->getAgentString()) . $eol;
        $head .= 'Referer: ' . JURI::root() . $eol;
        $head .= 'Server: ' . $_SERVER['SERVER_SOFTWARE'] . $eol;
        $head .= 'Host: ' . ($host = $params->get('testing', 'No') == 'No' ? 'www.paypal.com' : 'www.sandbox.paypal.com') . ':80' . $eol;
        $head .= 'Content-Type: application/x-www-form-urlencoded' . $eol;
        $head .= 'Content-Length: ' . ($length = JString::strlen($body)) . $eol;
        $head .= 'Accept: */*' . $eol . $eol;
        
        $handler = fsockopen($host, 80, ($errno = null), ($errstr = null), 30);
        if (! $handler) {
            $mainframe->enqueueMessage(JText::sprintf('UNABLE_CONNECT_S', $host), 'notice');
            return false;
        }
        fwrite($handler, ($message = $head . $body));
        $response = '';
        while (! feof($handler))
            $response .= fgets($handler);
        fclose($handler);
        
        if (($verified = JString::trim(end(explode("\r\n", $response)))) != 'VERIFIED')
            $mainframe->enqueueMessage(JText::_('PAYPAL_PAYMENT_NOT_VERIFIED'), 'notice');
        if (($status = JRequest::getString('payment_status')) == 'Pending' && $verified)
            $mainframe->enqueueMessage(JText::_('PAYPAL_PAYMENT_VERIFIED_AND_PENDING'), 'notice');
        
        return $verified == 'VERIFIED' && $status == 'Completed';
    }
}


?>
