<?php

/**
 * Payment method Bcash controller.
 * 
 * @version        $Id$
 * @package        ARTIO Booking
 * @subpackage  	payments
 * @copyright		Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 			ARTIO s.r.o., http://www.artio.net
 * @license     	GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        	http://www.artio.net Official website
 */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.log.log');
jimport('joomla.filesystem.file');

JLog::addLogger(array('text_file' => 'plg_bookingpayment_bcash.php'), JLog::ALL, array('plg_bookingpayment_bcash'));

class BookingPaymentBcash {

    const URL_VERIFY = 'https://www.bcash.com.br/checkout/verify/';
    const URL_PAYMENT = 'https://www.bcash.com.br/checkout/pay/';

    /**
     * Verify Bcash response
     * @return boolean
     */
    public function processPayment() {
        try {
            $request['transacao'] = JRequest::getVar('id_transacao');
            $request['status'] = JRequest::getVar('status');
            $request['cod_status'] = JRequest::getVar('cod_status');
            $request['valor_original'] = JRequest::getVar('valor_original');
            $request['valor_loja'] = JRequest::getVar('valor_loja');
            $request['token'] = JRequest::getVar('token');

            JLog::add('Transaction ID: ' . $request['transacao'], JLog::INFO, 'plg_bookingpayment_bcash');
            JLog::add('Status: ' . $request['status'], JLog::INFO, 'plg_bookingpayment_bcash');
            JLog::add('Status Code: ' . $request['cod_status'], JLog::INFO, 'plg_bookingpayment_bcash');
            JLog::add('Reservation Price: ' . $request['valor_original'], JLog::INFO, 'plg_bookingpayment_bcash');
            JLog::add('Shop Price: ' . $request['valor_loja'], JLog::INFO, 'plg_bookingpayment_bcash');
            JLog::add('Token: ' . $request['token'], JLog::INFO, 'plg_bookingpayment_bcash');

            ob_start();
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, self::URL_VERIFY);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $request);
            curl_exec($ch);
            $response = ob_get_contents();
            ob_end_clean();

            JLog::add('Verification: ' . $response, JLog::INFO, 'plg_bookingpayment_bcash');
            
            if (JString::trim($response) != 'VERIFICADO') {
                return false;
            }
            
            switch ($request['cod_status']) {
                case 0:
                    return 0; // pending
                case 1:
                    return true; // confirmed
                case 2:
                    return false; // canceled
            }
        } catch (Exception $e) {
            JLog::add($e->getMessage(), JLog::ERROR, 'plg_bookingpayment_bcash');
        }

        return false;
    }

}
