<?php

/**
 * Payment method cciDEAL.
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  views
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

/* @var $this BookingViewReservation */
/* @var $payment TablePayment */

switch ($this->reservation->paid) {
	case  RESERVATION_PENDING:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			$price[] = $this->modelReservation->getFullPrice();
			$header[] = JText::_('FULL_RECEIVING'); 
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_FULL_PRICE_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPrice()), $payment->title));
			$order[] = $this->reservation->id.'-whole';
		}
		if ($this->reservation->fullDeposit && ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_DEPOSIT)) { // option to pay deposit
			$price[] = $this->reservation->fullDeposit;
			$header[] = JText::_('DEPOSIT_RECEIVING');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_DEPOSIT_S_BY_S', BookingHelper::displayPrice($this->reservation->fullDeposit), $payment->title));
			$return[] = JPath::clean(JURI::root() . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit')), '/');		
			$order[] = $this->reservation->id.'-deposit';
		}
		break;
	case  RESERVATION_RECEIVE_DEPOSIT:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			$price[] = $diff = $this->modelReservation->getFullPriceWithoutDeposit();
			$header[] = JText::_('PAY_REST');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_REST_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPriceWithoutDeposit()), $payment->title));
			$order[] = $this->reservation->id.'-rest';
		}
		break;
	default:
	case  RESERVATION_RECEIVE:
		$price = null;
		break;
}
	
//from: http://www.chillcreations.com/joomla-support/manuals.html/30-ccideal-platform-manual/241-adding-ideal-to-other-extensions.html
$db = &JFactory::getDBO();
$query = "SELECT IDEAL_Enable,IDEAL_Bank FROM #__ccidealplatform_config";
$db->setQuery($query);
@$bank = $db->loadObject();

if (!is_object($bank))
	echo '<span style="color:red">cciDEAL platform not installed!</span>';
elseif (!$bank->IDEAL_Enable)
	echo '<span style="color:red">cciDEAL payment is not enabled!</span>';
else {
	
	$document = & JFactory::getDocument();
	$js = JURI::base().'administrator/components/com_ccidealplatform/assets/js/ccvalidate.js';
	$document->addScript($js);
	
	if (is_array($price)) {
		$email = $params->get('email');
		$action = 'index.php?option=com_ccidealplatform&task=bankform';
		$name = JText::sprintf('RESERVING_S', $this->reservation->subject_title);
		foreach ($price as $key => $value) {
	?>
		<div class="hasTip payment" title="<?php echo $title[$key]; ?>">
			<strong><?php echo $header[$key]; ?></strong>
			<form action="<?php echo $action; ?>" method="post" target="_self" id="booking_ccideal<?php echo $key; ?>">	
				<input class="button" type="image" name="submit" src="<?php echo JURI::base() ?>/administrator/components/com_ccidealplatform/assets/select_iDEAL.jpg" 
					border="0" alt="" onclick="return submitData();" />
				<input type="hidden" name="grandtotal" id="grandtotal" value="<?php echo $value ?>" />
				<input type="hidden" name="ordernumber" id="ordernumber" value="<?php echo $order[$key]; ?>"/>
				<input type="hidden" name="extn" id="extn" value="booking"/>
				<input type="hidden" name="custom_payment" id="custom_payment" value="custom_payment"/>
			</form>
		</div>
	<?php
		}
	}
}
if (count($price) == 1 && $params->get('autosubmit', 'Yes') == 'Yes') {
?>
		<script type="text/javascript">
			// <![CDATA[
			window.addEvent('domready', function() {
				document.id('booking_ccideal0').submit();
			});
			// ]]>
		</script>
<?php 
}
?>