<?php

/**
 * Payment method cciDEAL controller.
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  payments
 * @copyright	Copyright (C) 2014 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */
defined('_JEXEC') or die('Restricted access');

AImporter::model('payment');
jimport('joomla.environment.browser');

JLog::addLogger(array('text_file' => 'plg_bookingpayment_ccideal.php'), JLog::ALL, array('plg_bookingpayment_ccideal'));

class BookingPaymentCCIdeal {

    /**
     * Check cciDEAL transation status.
     * 
     * @return int|boolean reservation status
     */
    public function processPayment() {

        $app = JFactory::getApplication();
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $id = reset($app->input->get('cid', array(0), 'array')); // reservation id
        $status = false;

        JLog::add('Reservation ID: ' . $id, JLog::INFO, 'plg_bookingpayment_ccideal');

        $table = $db->replacePrefix('#__ccidealplatform_payments');
        $tableList = $db->getTableList();

        if (in_array($table, $tableList)) {

            $query->select('*') // get the transaction
                    ->from('#__ccidealplatform_payments')
                    ->where('order_id LIKE ' . $db->q($id . '-%'))
                    ->where('extension = ' . $db->q('booking'));

            $transaction = $db->setQuery($query)->loadObject();

            JLog::add('Transaction: ' . print_r($transaction, true), JLog::INFO, 'plg_bookingpayment_ccideal');

            if (!empty($transaction->payment_status)) {
                if (JString::strpos($transaction->payment_status, 'paid') !== false) {
                    $status = true;
                } elseif (JString::strpos($transaction->payment_status, 'pending') !== false) {
                    $status = 0;
                }
            }
        }

        JLog::add('Status: ' . print_r($status, true), JLog::INFO, 'plg_bookingpayment_ccideal');

        return $status;
    }

}
