<?php
/**
 * Payment method checkout button
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  payments
 * @copyright	Copyright (C) 2012 ARTIO s.r.o.. All rights reserved.
 * @author 	Mikael Karjalainen / ARTIO Oy, http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @created	2012-11-22
 * @link        http://www.artio.net Official website
 */
defined('_JEXEC') or die('Restricted access');


require_once dirname(__FILE__).'/checkout.php';

$uri = &JURI::getInstance();
$host = $uri->toString(array('scheme', 'host', 'port'));

// Add CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_booking/views/payments/checkout/checkout.css');

switch ($this->reservation->paid) {
	case  RESERVATION_PENDING:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			// reservation pending - display option to pay full price + deposit and pay deposit if set
			$price[] 	= $this->modelReservation->getFullPrice();
			// option's title
			$header[] 	= JText::_('FULL_RECEIVING');
			// option's tooltip 
			$title[] 	= $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_FULL_PRICE_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPrice()), $payment->title));
			// URL to return from PayPal
			$create[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive').'&status=create');
			$success[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive').'&status=success');
			$cancel[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive').'&status=cancel');
			$notify[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive').'&status=notify');
		}
		if ($this->reservation->fullDeposit && ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_DEPOSIT)) { // option to pay deposit
			$price[] 	= $this->reservation->fullDeposit;
			$header[] 	= JText::_('DEPOSIT_RECEIVING');
			$title[] 	= $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_DEPOSIT_S_BY_S', BookingHelper::displayPrice($this->reservation->fullDeposit), $payment->title));
			$create[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit').'&status=create');
			$success[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit').'&status=success');
			$cancel[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit').'&status=cancel');
			$notify[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit').'&status=notify');		
		}
		break;
	case  RESERVATION_RECEIVE_DEPOSIT:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			// only option to pay reservation price
			$price[] 	= $this->modelReservation->getFullPriceWithoutDeposit();
			$header[] 	= JText::_('PAY_REST');
			$title[] 	= $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_REST_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPriceWithoutDeposit()), $payment->title));
			$create[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive').'&status=create');
			$success[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive').'&status=success');
			$cancel[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive').'&status=cancel');
			$notify[] 	= $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive').'&status=notify');
		}	
		break;
	default:
	case  RESERVATION_RECEIVE:
		// reservation is receive - nothing to do
		$price = null;
		break;
}

$params = new JRegistry($payment->params);

if(is_array($price)) {
	foreach ($price as $key => $value) {

	    // Init Checkout
	    $co = new Checkout($params->get('merchantcode'), $params->get('secret'));

	    // Order information
	    $coData			= array();
	    $coData["stamp"]		= ((int) $value * 100) . time(); // unique
	    $coData["reference"]	= $this->reservation->id;
	    $coData["message"]		= ""; // FIXME: Generic message?
	    $coData["return"]		= $success[$key];
	    $coData["cancel"]		= $cancel[$key];
	    $coData["reject"]		= $notify[$key];
	    $coData["amount"]		= (int) $value * 100; // price in cents
	    $coData["delivery_date"]	= date("Ymd");
	    $coData["language"]		= $params->get('language');
	    $coData["firstname"]	= $this->reservation->firstname;
	    $coData["familyname"]	= $this->reservation->surname;
	    $coData["address"]		= $this->reservation->street;
	    $coData["postcode"]		= $this->reservation->zip;
	    $coData["postoffice"]	= $this->reservation->city;
	    $coData["email"]		= $this->reservation->email;

	    // Deposit in current date, fullpayment in delivery date
	    // $coData["delivery_date"]	= date("Ymd");
	    // var_dump($this->reservedItems[0]->from);

	    $response =	$co->getCheckoutXML($coData);
	    $xml = simplexml_load_string($response);

	    ?>
	    <div class="hasTip payment-wide" title="<?php echo $title[$key]; ?>">
	      <h2><?php echo $header[$key]; ?></h2>
	    <?php if (!empty($xml->payments->payment->banks)): ?>
			<?php foreach($xml->payments->payment->banks as $bankX):?>
			    <?php foreach($bankX as $bank):?>
			    <div class='checkoutf'>
				<form action='<?php echo $bank['url'];?>' method='post'>
				    <?php foreach($bank as $b_key => $b_value):?>
				    <input type='hidden' name='<?php echo $b_key;?>' value='<?php echo $b_value;?>' />
				    <?php endforeach;?>
				    <span><input type='image' src='<?php echo $bank['icon'];?>' /> </span>
				    <div> <?php echo $bank['name'];?> </div>
				</form>
			    </div>
			    <?php endforeach;?>
			<?php endforeach;?>
		<?php endif; ?>
		<div style="clear: both;">
	    </div>
	    <?php
	}
}
?>
