<?php

/**
 * Payment method checkout controller.
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  payments
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 	Mikael Karjalainen / ARTIO Oy, http://www.artio.net
 * @created	2012-11-22
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

AImporter::model('payment');

// Checkout Finlad api
require_once dirname(__FILE__).'/checkout.php';

class BookingPaymentCheckout
{

    function processPayment()
    {
        $mainframe = &JFactory::getApplication();
        /* @var $mainframe JApplication */
        $model = new BookingModelPayment();
        /* @var $model BookingModelPayment */
        $payment = &$model->getObjectByAlias('checkout');
        /* @var $payment TablePayment */

        $files = AImporter::payment('checkout');
        //$params = new JParameter($payment->params, $files['config']);
        $params = new JRegistry();
        $params->loadString($payment->params);
      
	$co = new Checkout($params->get('merchantcode'), $params->get('secret'));

	switch(JRequest::getString('status')) {
	    case 'create':
	    break;
	    case 'success':
		// NOTE: Using directly _GET
		if ($co->validateCheckout($_GET))
		{
		    if($co->isPaid($_GET['STATUS'])) 
		    {
			$mainframe->enqueueMessage(JText::_('SUCCESSFULLY_MARK_PAID'));
			return true;
		    } 
		    else 
		    {
			// Not paid
			$mainframe->enqueueMessage(JText::_('NOT_PAID'));
			return false;
		    }
		} 
		else 
		{
		    // Checkout transaction MAC CHECK Failed
		    JError::raiseError('500',JText::_('FAILED_TO_VERIFY_SECRET'));
		    return false;
		}
	       
	    break;
	    case 'notify':
		$mainframe->enqueueMessage(JText::_('PAYMENT_REJECTED'));
		return false;
	    break;
	    case 'cancel':
		return false;
	    break;
	}

        return false;
    }
}
?>
