<?php

/**
 * Payment method paypal.
 *
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  views
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

/* @var $this BookingViewReservation */
/* @var $payment TablePayment */

switch ($this->reservation->paid) {
	case  RESERVATION_PENDING:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			$price[] = $this->modelReservation->getFullPrice();
			$header[] = JText::_('FULL_RECEIVING');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_FULL_PRICE_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPrice()), $payment->title));
			$return[] = JPath::clean(JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive')), '/');
		}
		if ($this->reservation->fullDeposit && ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_DEPOSIT)) { // option to pay deposit
			$price[] = $this->reservation->fullDeposit;
			$header[] = JText::_('DEPOSIT_RECEIVING');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_DEPOSIT_S_BY_S', BookingHelper::displayPrice($this->reservation->fullDeposit), $payment->title));
			$return[] = JPath::clean(JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit')), '/');
		}
		break;
	case  RESERVATION_RECEIVE_DEPOSIT:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			$price[] = $this->modelReservation->getFullPriceWithoutDeposit();
			$header[] = JText::_('PAY_REST');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_REST_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPriceWithoutDeposit()), $payment->title));
			$return[] = JPath::clean(JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive')), '/');
		}
		break;
	default:
	case  RESERVATION_RECEIVE:
		$price = null;
		break;
}

if (is_array($price)) {
	$testing = $params->get('testing', 'No') == 'JYES';
	$currency = $params->get('currency');
	$months_arr=array();
	for($i=1;$i<=12;$i++) {
		$months_arr[]=JHTML::_('select.option',$i,$i,'id','title');
	}
	$months=JHTML::_('select.genericlist',$months_arr,'exp_month','class="inputbox"','id','title',JFactory::getDate()->format("m"));
	$years_arr=array();
	for($i=JFactory::getDate()->format("Y");$i<2021;$i++) {
		$years_arr[]=JHTML::_('select.option',$i,$i,'id','title');
	}
	$years=JHTML::_('select.genericlist',$years_arr,'exp_year','class="inputbox"','id','title');
	$credit_cards_opts=array();
	foreach(explode(",",$params->get('credit_cards')) as $credit_card) {
		$credit_cards_opts[]=JHTML::_('select.option',$credit_card,$credit_card,'id','title');
	}
	$credit_cards=JHTML::_('select.genericlist',$credit_cards_opts,'card_type','class="inputbox"','id','title');
//	print_r($return);
	foreach ($price as $key => $value) {
?>
	<div class="hasTip payment" title="<?php echo $title[$key]; ?>">
		<strong><?php echo $header[$key]; ?></strong>
		<form action="<?php echo $return[$key]; ?>" method="post">
			<p>
				<?php echo JText::_('CREDIT_CARD_TYPE').": "; ?>
				<?php echo $credit_cards; ?>
			</p>
			<p>
				<?php echo JText::_('NAME_ON_THE_CARD').": "; ?>
				<input class="inputbox" type="text" name="username" id="username" />
			<p>
				<?php echo JText::_('CREDIT_CARD_NUMBER').": "; ?>
				<input class="inputbox" type="text" name="card_number" id="card_number" />
			</p>
			<p>
				<?php echo JText::_('CREDIT_CARD_SECURITY_CODE'); ?>
				<input class="inputbox" type="text" name="sec_code" id="sec_code" />
			</p>
			<p>
				<?php echo JText::_('EXPIRATION_DATE'); ?>
				<?php echo $months; ?>
				<?php echo $years; ?>
			</p>
			<input type="hidden" name="pay_type" value="<?php echo $key; ?>" />
			<input class="button" type="submit" value="<?php echo JText::_('PAY'); ?>" />
		</form>
	</div>
<?php
	}
}
?>
