<?php

/**
 * Payment method credit card controller.
 *
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  payments
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

AImporter::model('payment');
AImporter::table('creditcard');

class BookingPaymentCreditCard
{

    /*
     * Check credit card number. Added from VirtueMart code
     */
    private function mod10($card_number)
    {

        $digit_array = array();
        $cnt = 0;

        //Reverse the card number
        $card_temp = strrev($card_number);

        //Multiple every other number by 2 then ( even placement )
        //Add the digits and place in an array
        for ($i = 1; $i <= strlen($card_temp) - 1; $i = $i + 2) {
            //multiply every other digit by 2
            $t = substr($card_temp, $i, 1);
            $t = $t * 2;
            //if there are more than one digit in the
            //result of multipling by two ex: 7 * 2 = 14
            //then add the two digits together ex: 1 + 4 = 5
            if (strlen($t) > 1) {
                //add the digits together
                $tmp = 0;
                //loop through the digits that resulted of
                //the multiplication by two above and add them
                //together
                for ($s = 0; $s < strlen($t); $s++) {
                    $tmp = substr($t, $s, 1) + $tmp;
                }
            } else { // result of (* 2) is only one digit long
                $tmp = $t;
            }
            //place the result in an array for later
            //adding to the odd digits in the credit card number
            $digit_array[$cnt++] = $tmp;
        }
        $tmp = 0;

        //Add the numbers not doubled earlier ( odd placement )
        for ($i = 0; $i <= strlen($card_temp); $i = $i + 2) {
            $tmp = substr($card_temp, $i, 1) + $tmp;
        }

        //Add the earlier doubled and digit-added numbers to the result
        $result = $tmp + array_sum($digit_array);

        //Check to make sure that the remainder
        //of dividing by 10 is 0 by using the modulas
        //operator
        return ($result % 10 == 0);
    }

    function processPayment()
    {
    	
        $model = new BookingModelPayment();
        $payment = $model->getObjectByAlias('creditcard');
        $files = AImporter::payment('creditcard');
        // payment method configuration
        $params = new JRegistry();
        $params->loadString($payment->params);
        //$params = new JParameter($payment->params, $files['config']);
        /* @var $params JRegistry */
        
        $data = JRequest::get('post');
        
        //encrypt data
        $data['sec_code'] = $model->crypt($data['sec_code']);
        $data['exp_month'] = $model->crypt($data['exp_month']);
        $data['exp_year'] = $model->crypt($data['exp_year']);
        
        // new reservation ID
        $cid = JRequest::getVar('cid', array(), 'get', 'array');
        $db = JFactory::getDBO();
        // save credit card into database
        $table = new TableCreditCard($db);
        $table->bind($data);
        $table->reservation_id = $cid[0];
        if ($table->store()) {
        	// eval custom PHP code
        	eval($params->get('custom_code'));
            return true;
        }
        return false;
    }
}
?>
