<?php

/**
 * Payment method paypal.
 *
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  views
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

/* @var $this BookingViewReservation */
/* @var $payment TablePayment */

switch ($this->reservation->paid) {
	case  RESERVATION_PENDING:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {		
			$price[] = $this->modelReservation->getFullPrice();
			$header[] = JText::_('FULL_RECEIVING');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_FULL_PRICE_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPrice()), $payment->title));
			$return[] = JPath::clean(JURI::root() . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive')), '/');
		}
		if ($this->reservation->fullDeposit && ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_DEPOSIT)) { // option to pay deposit
			$price[] = $this->reservation->fullDeposit;
			$header[] = JText::_('DEPOSIT_RECEIVING');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_DEPOSIT_S_BY_S', BookingHelper::displayPrice($this->reservation->fullDeposit), $payment->title));
			//$return[] = JPath::clean(JURI::root() . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit')), '/');
			$invoice_num=$this->reservation->id.":R";
		}
		break;
	case  RESERVATION_RECEIVE_DEPOSIT:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			$price[] = $this->modelReservation->getFullPriceWithoutDeposit();
			$header[] = JText::_('PAY_REST');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_REST_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPriceWithoutDeposit()), $payment->title));
			//$return[] = JPath::clean(JURI::root() . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive')), '/');
			$invoice_num=$this->reservation->id.":RD";
		}
		break;
	default:
	case  RESERVATION_RECEIVE:
		$price = null;
		break;
}

if (is_array($price)) {
	$testing = $params->get('testing', 'No') == 'JYES';
	$currency = $params->get('currency');
	$email = $params->get('email');
	$name = JText::sprintf('RESERVING_S', $this->reservation->subject_title);
	foreach ($price as $key => $value) {
?>
	<div class="hasTip payment" title="<?php echo $title[$key]; ?>">
		<strong><?php echo $header[$key]; ?></strong>
		<form action="https://www.deltapay.gr/entry.asp" method="post" id="booking_deltapay<?php echo $key; ?>">
		<input type="hidden" name="MerchantCode" value="<?php echo $params->get('merchant_code'); ?>">
		<input type="hidden" name="charge" value="<?php echo str_replace(".",",",$value); ?>">
		<input type="hidden" name="currencycode" value="<?php echo $params->get('curr_code');?>">
		<input type="hidden" name="cardholdername" value="<?php echo $this->reservation->firstname." ".$this->reservation->surname; ?>">
		<input type="hidden" name="cardholderemail" value="<?php echo $this->reservation->email; ?>">
		<input type="hidden" name="installments" value="0">
		<input type="hidden" name="transactiontype" value="<?php echo $params->get('trans_type'); ?>">
		<input type="hidden" name="param1" value="<?php echo $invoice_num; ?>">
		<input type="hidden" name="param2" value="<?php echo substr(md5($this->reservation->id.":".$params->get('secret')),8,17); ?>">
		<input type="submit" value="<?php echo JText::_('PAY_WITH_DELTAPAY'); ?>">
		</form>

	</div>
<?php
	}
	if (count($price) == 1 && $params->get('autosubmit', 'Yes') == 'Yes') {
?>
		<script type="text/javascript">
			// <![CDATA[
			window.addEvent('domready', function() {
				document.id('booking_deltapay0').submit();
			});
			// ]]>
		</script>
<?php 
	}
}
?>