<?php

/**
 * Payment method paypal.
 *
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  views
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

/* @var $this BookingViewReservation */
/* @var $payment TablePayment */

$uri=JFactory::getURI();
$root=$uri->getScheme()."://".$uri->getHost()."/";
$root2='https://'.$uri->getHost()."/";
switch ($this->reservation->paid) {
	case  RESERVATION_PENDING:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			$price[0] = $this->modelReservation->getFullPrice();
			$header[0] = JText::_('FULL_RECEIVING');
			$title[0] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_FULL_PRICE_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPrice()), $payment->title));
			$return[0]["status"] = $root2 .JPath::clean( JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'recieve')), '/');
			$return[0]["return"] = $root .JPath::clean( JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'return')), '/');
		}
		if ($this->reservation->fullDeposit && ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_DEPOSIT)) { // option to pay deposit
			$price[1] = $this->reservation->fullDeposit;
			$header[1] = JText::_('DEPOSIT_RECEIVING');
			$title[1] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_DEPOSIT_S_BY_S', BookingHelper::displayPrice($this->reservation->fullDeposit), $payment->title));
			$return[1]["status"] = $root2 .JPath::clean( JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit')), '/');
			$return[1]["return"] = $root .JPath::clean( JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'return')), '/');
		}
		break;
	case  RESERVATION_RECEIVE_DEPOSIT:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			$price[0] = $this->modelReservation->getFullPriceWithoutDeposit();
			$header[0] = JText::_('PAY_REST');
			$title[0] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_REST_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPriceWithoutDeposit()), $payment->title));
			$return[0]["status"] = $root2 .JPath::clean( JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'recieve')), '/');
			$return[0]["return"] = $root .JPath::clean( JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'return')), '/');
		}
		break;
	default:
	case  RESERVATION_RECEIVE:
		$price = null;
		break;
}
if (is_array($price)) {
	$component_params = &JComponentHelper::getParams(OPTION);
	$name = JText::sprintf('RESERVING_S', $this->reservation->subject_title);
	$url_params=array();
	$url_params["pay_to_email"]=$params->get('email');
	$url_params["return_url_target"]=3;
	$url_params["cancel_url_target"]=3;
	$url_params["language"]=$params->get('gateway_lang');
	$url_params["currency"]=strtoupper($component_params->get('main_currency'));
	$url_params["detail1_description"]=$this->reservation->subject_title;

	$url_params["pay_from_email"]=$this->reservation->email;
	$url_params["firstname"]=$this->reservation->firstname;
	$url_params["lastname"]=$this->reservation->surname;

	$url_params["new_window_redirect"]=1;

	foreach ($price as $key => $value) {
		$url_params["return_url"]=$return[$key]["return"];
		$url_params["status_url"]=$return[$key]["status"];
		//$url_params["status_url2"]='https://'.JFactory::getUri()->getHost().'/'.JFactory::getUri()->root(true).'/components/com_booking/views/payments/moneybookers/processmb.php';
		$url_params["cancel_url"]=$return[$key]["return"];
		$url_params["amount"]=$value;
		$trans_id=$this->reservation->id;
		if($key==0) {
			$trans_id.="A";
		} else {
			$trans_id.="B";
		}
		//$url_params["transaction_id"]=$trans_id;

		$url_params["detail1_text"]=$title[$key];
?>
		<div class="hasTip payment" title="<?php echo $title[$key]; ?>">
			<strong><?php echo $header[$key]; ?></strong>
			<form action="https://moneybookers.com/app/payment.pl" method="post" id="booking_moneybookers<?php echo $key; ?>">	
				<?php
				foreach($url_params as $name=>$value) {
					?>
					<input type="hidden" name="<?php echo $name; ?>" value="<?php echo $value; ?>" />
					<?php

				}
				?>
				<input type="submit" class="button" value="<?php echo JText::_('PAY'); ?>" />
			</form>
		</div>
<?php
	}
	if (count($price) == 1 && $params->get('autosubmit', 'Yes') == 'Yes') {
?>
		<script type="text/javascript">
			// <![CDATA[
			window.addEvent('domready', function() {
				try {
					document.id('booking_moneybookers0').submit();
				} catch(e) {
					document.id('booking_moneybookers1').submit();
				}
			});
			// ]]>
		</script>
<?php 
	}
}
?>