<?php
/**
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  	views
 * @copyright		Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 			ARTIO s.r.o., http://www.artio.net
 * @license     	GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        	http://www.artio.net Official website
 */
defined('_JEXEC') or die('Restricted access');

if ($this->reservation->state != RESERVATION_ACTIVE) {
    return;
}

JHTML::_('behavior.tooltip');

require_once 'controller.php';

$uri = &JURI::getInstance();
/* @var $uri JURI */
$host = $uri->toString(array('scheme', 'host', 'port'));

// display options to pay according reservation state
switch ($this->reservation->paid) {
    case RESERVATION_PENDING:
        if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
            // reservation pending - display option to pay full price - deposit and pay deposit if set
            $price[] = $this->modelReservation->getFullPrice();
            // option's title
            $header[] = JText::_('FULL_RECEIVING');
            // option's tooltip 
            $title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_FULL_PRICE_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPrice()), $payment->title));
            // URL to return from PayPal
            $return[] = $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive'), false);
        }
        if ($this->reservation->fullDeposit && ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_DEPOSIT)) { // option to pay deposit
            $price[] = $this->reservation->fullDeposit;
            $header[] = JText::_('DEPOSIT_RECEIVING');
            $title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_DEPOSIT_S_BY_S', BookingHelper::displayPrice($this->reservation->fullDeposit), $payment->title));
            $return[] = $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit'), false);
        }
        break;
    case RESERVATION_RECEIVE_DEPOSIT:
        if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
            // only option to pay reservation price
            $price[] = $this->modelReservation->getFullPriceWithoutDeposit();
            $header[] = JText::_('PAY_REST');
            $title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_REST_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPriceWithoutDeposit()), $payment->title));
            $return[] = $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive'), false);
            break;
        }
    default:
    case RESERVATION_RECEIVE:
        // reservation is receive - nothing to do
        $price = null;
        break;
}

//list($price, $header, $return) = BookingPaymentMethod::getRequestData($this->reservation, $payment, $this->modelReservation->getFullPrice(), $this->modelReservation->getFullPriceWithoutDeposit());

foreach ((array) $price as $i => $value) {
    ?>
    <form action="<?php echo BookingPaymentPagSeguro::getRequest($this->reservation, $params, $value, $return[$i]); ?>" id="booking_pagseguro<?php echo $i; ?>" method="post">
        <button><?php echo JText::_('PLG_BOOKINGPAYMENT_PAGSEGURO_SUBMIT'); ?></button>
    </form>
    <?php
}
if (count($price) == 1 && $params->get('autosubmit', 'Yes') == 'Yes') {
    ?>
    <script type="text/javascript">
        // <![CDATA[
        window.addEvent('domready', function() {
            document.id('booking_pagseguro0').submit();
        });
        // ]]>
    </script>
    <?php
}