<?php

/**
 * Payment method PayPal.
 * After save reservation display on reservation detail options to pay with PayPal.
 * They are icons with links to PayPal.
 * Primary option to pay full price or option to pay deposit. 
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  views
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

//$host = &JURI::getInstance()->toString(array('scheme', 'host', 'port'));

$testing = $params->get('testing', 'No') == 'Yes';

//include_once(JPATH_COMPONENT_SITE.DS."views/payments/payex/api/pay_by_creditcard.php");
include_once(dirname(__FILE__).DS."api/pay_by_invoice.php");

function availablePayments($price,$params){
	//more at http://www.payexpim.com/technical-reference/pxorder/initialize8/
	$array = array(
//banks
//    "FSPA",
	"NB",
//	"SEB",
	"SHB",
//    "NB:DK",
//    "DDB",
//    "BAX",
//    "SAMPO",
//    "AKTIA",
//    "OP",
//    "NB:FI",
//    "SHB:FI",
//    "SPANKKI",
//    "TAPIOLA",
//    "AALAND",
//payment methods
//   "PX",
//   "CPA",
    "VISA",
    "MC",
    "EUROCARD",
    "MAESTRO",
//    "DINERS",
//    "AMEX",
//    "LIC",
//    "FDM",
//    "FORBRUGSFORENINGEN",
//    "JCB",
//    "FINAX",
//  "DANKORT",
//   "IVR",
//    "EVC",
//    "GC",
    "INVOICE",
//    "LOAN",
//    "PAYPAL",
//    "INTRUM",
//    "PXCR",
//	  "CRSALE",
//    "CRESCO",
//    "CRSHB",
//    "CREKSPRESBANK"
	);
			
	$filtred = "";
	foreach($array as $k=>$v){
		if($k!=0)
			$filtred .= ",";
		if($v == "INVOICE")
			$filtred .= $v."=".($price + ($params->get('invoice_fee','0')*100));
		else
			$filtred .= $v."=".$price;	
	}
	
	return $filtred;
}

function newPayment($price, $vat, $reservationId, $productId, $description, $text, $paymentAlias, $customerId, $email, $params, $fullprice = 1){
	$PayEx = new PayEx();
	$PayEx->accountNumber = $params->get('accountNumber');
	$PayEx->encryptionKey = $params->get('encryptionKey');
	//$PayEx->price = (int)($price * 100);
	$PayEx->priceArgList =	availablePayments($price*100,$params);
	$PayEx->currency = $params->get('currency');
	$PayEx->vat = (int)($vat*100);
	//$PayEx->orderID = (string)$reservationId;
	$PayEx->orderID = (string)(int)$reservationId;
	$PayEx->productNumber = (string)$productId;
	$PayEx->description = (strlen($description) > 160) ? substr($description,0,157).'...' : $description;

	$payInvoiceLimit = JFactory::getDate();
	//in php 5.2 retur null, in php 5.3 return DateTime Object
	$payInvoiceLimit->modify('+'.$params->get('dueweeks',2).' weeks');
	$duedate = $payInvoiceLimit->format("Y-m-d");
	$PayEx->additionalValues = "INVOICE_INVOICETEXT=".$text."&INVOICE_MEDIADISTRIBUTION=11&INVOICE_CUSTOMERID=".$customerId."&INVOICE_DUEDATE=".$duedate."&PAYMENTMENU=TRUE&INVOICE_EMAIL=".$email;
	
	$host = JURI::getInstance()->toString(array('scheme', 'host', 'port'));
	$PayEx->returnUrl = $host  . JRoute::_(ARoute::payment($paymentAlias, $reservationId, ($fullprice)? 'receive':'receiveDeposit'),false);
	$PayEx->cancelUrl = $host  . JRoute::_(ARoute::payment($paymentAlias, $reservationId, ($fullprice)? 'receive':'receiveDeposit'),false);
	$url = $PayEx->TwoPhaseTransaction();
	
	if(!$url)
		$url="";
	
	return $url;
}

/* @var $this BookingViewReservation */
/* @var $payment TablePayment */
$text = "";
foreach($this->reservedItems as $item){
	$text .= $item->subject_title." ".AHtml::interval($item);
	if($item->message != "")
		$text .= " - ".$item->message;
	$text .= " | ";
}

$description = "";
foreach($this->reservedItems as $i=>$item){
	//ignore fist item
	if($i)
		$description .= " | ";
	$description .= $item->subject_title;
}

//standard label
if(!$params->get('extended_product_id', 0))
{
	$productId = reset($this->reservedItems)->subject;
}
else
{
	//special format for product label
	
	$productId = "";
	foreach($this->reservedItems as $i=>$item){
		//ignore first item
		if($i)
			$productId .= ",";
	
		$from = JDate::getInstance($item->from);
		$to = JDate::getInstance($item->to);
		$days = round(($to->toUnix() - $from->toUnix()) / 86400);
		$days = $days? $days : 1;
		$productId .= $item->subject."x".($item->capacity*$days);
	}
}

//function for counting tax from prices $tax is in cash
function countTax($priceWithTax,$tax)
{
	if(!$priceWithTax || !$tax || ($priceWithTax-$tax == 0))
		return 0;
	
	$withoutTax = $priceWithTax - $tax;
	$percentageTax = $tax/($withoutTax/100);
	return $percentageTax;
}

//counting tax in %
$fulltax = countTax($this->modelReservation->getFullPrice(),BookingHelper::getFullTax($this->reservedItems));
$fulldeposittax = countTax($this->reservation->fullDeposit,BookingHelper::getFullDepositTax($this->reservedItems));
$fulltaxwithoutdeposit = countTax($this->modelReservation->getFullPriceWithoutDeposit(),BookingHelper::getFullTax($this->reservedItems) - BookingHelper::getFullDepositTax($this->reservedItems));
//var_dump($fulltax,$fulldeposittax,$fulltaxwithoutdeposit);

// display options to pay according reservation state
switch ($this->reservation->paid) {
	case  RESERVATION_PENDING:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			// reservation pending - display option to pay full price - deposit and pay deposit if set
			//$pay['price'] = $this->modelReservation->getFullPrice();
			// option's title
			$pay['header'] = JText::_('FULL_RECEIVING');
			// option's tooltip 
			$pay['title'] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_FULL_PRICE_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPrice()), $payment->title));
			// URL to return from PayPal
			//$pay['return'] = $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive'));
			$pay['url'] = newPayment($this->modelReservation->getFullPrice(), $fulltax, $this->reservation->id, $productId, $description, $text, $payment->alias, $this->reservation->customer, $this->reservation->email, $params);
			$price[] = $pay;
		} 
		if ($this->reservation->fullDeposit && ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_DEPOSIT)) { // option to pay deposit
			//$pay['price'] = $this->reservation->fullDeposit;
			$pay['header'] = JText::_('DEPOSIT_RECEIVING');
			$pay['title'] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_DEPOSIT_S_BY_S', BookingHelper::displayPrice($this->reservation->fullDeposit), $payment->title));
			//$pay['return'] = $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive'));
			$pay['url'] = newPayment($this->reservation->fullDeposit, $fulldeposittax, $this->reservation->id, $productId, $description, $text, $payment->alias, $this->reservation->customer, $this->reservation->email,$params, 0);
			$price[] = $pay;
		}
		break;
	case  RESERVATION_RECEIVE_DEPOSIT:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			// only option to pay reservation price
			//$pay['price'] = $this->modelReservation->getFullPriceWithoutDeposit();
			$pay['header'] = JText::_('PAY_REST');
			$pay['title'] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_REST_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPriceWithoutDeposit()), $payment->title));
			//$pay['return'] = $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive'));
			$pay['url'] = newPayment($this->modelReservation->getFullPriceWithoutDeposit(), $fulltaxwithoutdeposit, $this->reservation->id, $productId, $description, $text, $payment->alias, $this->reservation->customer, $this->reservation->email, $params);
			$price[] = $pay;
		}
		break;
	default:
	case  RESERVATION_RECEIVE:
		// reservation is receive - nothing to do
		$price = null;
		break;
}
// display clicable icons to redirect to PayEx
if (is_array($price)) {
	$name = JText::sprintf('RESERVING_S', $this->reservation->subject_title);
	foreach ($price as $key => $value) {
		// display icon for ever pay option (full or deposit)
?>
	<div class="hasTip payment" title="<?php echo $value['title']; ?>">
		<strong><?php echo $value['header']; ?></strong>
		<form action="<?php echo $value['url']; ?>" method="post" enctype="application/x-www-form-urlencoded"  id="booking_payex<?php echo $key; ?>">	
			<input class="button" type="image" name="submit" src="http://www.payexpim.com/wp-content/uploads/2010/10/payments_processed_by_transparent.gif" border="0" alt="<?php echo JText::_('PAY'); ?>" />
		</form>
	</div>
<?php
	}
	if (count($price) == 1 && $params->get('autosubmit', 'Yes') == 'Yes') {
?>
		<script type="text/javascript">
			// <![CDATA[
			window.addEvent('domready', function() {
				document.id('booking_payex0').submit();
			});
			// ]]>
		</script>
<?php 
	}
}
?>