<?php
/**
 * E-Ticket solution for Joomla.
 * 
 * @package   E-Ticket
 * @version   <BUILD VERSION TAG>
 * @author    ARTIO http://www.artio.net
 * @copyright Copyright (C) 2011 ARTIO s.r.o. 
 * @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
 */

defined('JPATH_BASE') or die;
jimport('joomla.utilities.date');

//include component Booking payment helper
//require_once (JPATH_ROOT . DS. 'components' . DS . 'com_booking' . DS . 'helpers' . DS . 'payment.php');

/**
 * An example custom profile plugin.
 *
 * @package		Joomla.Plugin
 * @subpackage	User.profile
 * @version		1.6
 */
class BookingPaymentMethod extends JPlugin
{
	protected $folder = "bookingpayment";
	protected $element = "";
	protected $alias = "";
	protected $extension_id = 0;
	protected $onlinePayment = false;
	
	/**
	 * Constructor
	 *
	 * @param       object  $subject The object to observe
	 * @param       array   $config  An array that holds the plugin configuration
	 * @since       1.5
	 */
	public function __construct(& $subject, $config = array())
	{
		$this->alias = $this->element;
		
		parent::__construct($subject, $config);
		$this->loadLanguage();
		
		$this->loadExtension();
	}

	
	/**
	 * returns the price, that is paid if the plugin is used.
	 * 
	 * @param int $plugin_id
	 */
	
	/*
	public function onGetPluginPrice ($plugin_id) {	
		if ($this->get('extension_id') == $plugin_id) {	
			$ret = array();
			$ret['price'] = (float)$this->params->get('payment_price');
			$ret['vat_rate'] = (float)$this->params->get('vat_rate');	
			return $ret;
		}
		
		return false;
	}
	*/
	public function onGetPluginParams ($plugin_name) {
		if ($this->get('element') == $plugin_name) {	
			return $this->params;
		}
		return false;
	}
	
	public function onGetPluginParamsById ($plugin_id) {
		if ($this->get('extension_id') == $plugin_id) {
			return $this->params;
		}
		return false;
	}
	
	/**
	 * renders the HTML code of the payment method select
	 */
	public function onDisplayPaymentMethodDetail ($onlyOnlinePayment, $display_all = false) {
		//check if display this method in the payment method selection
		if (!$display_all) {
			if (!$this->onlinePayment && $onlyOnlinePayment) {
				return '';
			}
		}
		
		$query = 'SELECT * FROM `#__booking_payment` WHERE `alias` = \''.$this->alias.'\'';
		/*if($onlyOnlinePayment)
			$query .= ' AND `alias` IN ('.implode(",", $this->getOnlinePaymentAlias(true)).')';
		 */
		$db = JFactory::getDbo();
		$db->setQuery($query);

		$payment = $db->loadObject();
		if (empty($payment))
			return null;
				
		$payment->params = $this->onGetPluginParams($this->alias);
		
		return $payment;
		
	}
	
	public function onDisplayPaymentMethodList()
	{
		if (!($name = $this->onGetName($this->get('extension_id'), 'form')))
			$name = JText::_('BOOKING_PLG_PAYMENT_METHOD_' . strtoupper($this->element) . '_NAME');
		
		/*
		if ($price = (float) $this->params->get('payment_price'))
			$name .= ' (' . BookingHelper::priceFormat($price) . ')';
		*/
		
		return array('value' => $this->extension_id, 'text' => $name);
	}
	
	public function onGetName ($plugin_id, $name_type = null) {
	
		if ($this->get('extension_id') == $plugin_id) {	
			if ($name_type){ //if specified type, get name for that particular type, if defined, else basic
				$langString = 'BOOKING_PLG_PAYMENT_METHOD_'.strtoupper($this->element).'_NAME_'.strtoupper($name_type);
				if ($langString!=JText::_($langString))
					return JText::_($langString);
				else
					return false; //to keep original functionality
			}
			
			return JText::_('BOOKING_PLG_PAYMENT_METHOD_'.strtoupper($this->element).'_NAME');
		}
		
		return '';
	}
	
	public function onGetAliases() {
	
		return $this->alias;
	}
	
	public function onPluginIsActive($plugin) {
	
		if ($plugin && ($this->alias == $plugin))
			return true;
		else
			return false;
	}
	
	/**
	 * If the order is created, this method decides what will happen
	 * 
	 * @param int $plugin_id
	 */
	public function onOrderCreated ($plugin) {
		if ($plugin && ($this->alias == $plugin)) {				
			$mainframe = &JFactory::getApplication();
        	$mainframe->redirect(JRoute::_("index.php?option=com_booking&view=reservation&cid=".(int)ARequest::getCid(), false));
		}
		
		return '';
	}
	
	/**
	 * loads the id of the plugin extension
	 */
	protected function loadExtension () {
		$db =& JFactory::getDBO();
		$query	= $db->getQuery(true);
		
		$query->select('extension_id');
		$query->from('`#__extensions` e');
		$query->where("e.type='plugin'");
		$query->where("e.element='".$this->element."'");
		$query->where("e.folder='".$this->folder."'");
		
		$db->setQuery($query);
		$extension =  $db->loadObject();
		
		$this->extension_id = $extension->extension_id;
	}
	
	/**
	 * returns HTML code which is displayed in order conclusion, when the payment plugin is used for the just created order. 
	 * 
	 * @param int $plugin_id
	 */
	public function onConclusion ($plugin_id, $order) {
		$return = '';
		if ($this->get('extension_id') == $plugin_id) {
			$order_event_time = paymentHelper::getOrderEventTime($order->order_id);
			$payment_expiration_time = paymentHelper::calculateOrderPaymentExpirationTime ($order->ctime, $order_event_time, $this->params);
			
			echo "<div>";
				echo JText::_('BOOKING_PLG_PAYMENT_RESERVATION_LIMIT_DESC');
				echo "<br/>";
				echo JText::_('BOOKING_PLG_PAYMENT_RESERVATION_EXPIRES').":&nbsp;".date(JText::_('BOOKING_PLG_PAYMENT_TIME_FORMAT'), $payment_expiration_time);
			echo "</div>";
		}
		
		return $return;
	}
	
	/**
	 * method to check the received online payment
	 * 
	 * @param int $plugin_id
	 */
	public function onOnlinePaymentReceive($plugin) {
		if ($plugin && ($this->alias == $plugin)) {
			
			$files = $this->paymentFiles();
			if (file_exists(($controller = $files['controller']))) {
				include_once ($controller);
				if (class_exists(($classname = 'BookingPayment' . ucfirst($this->alias)))) {
					$instance = new $classname();
					$instance->pluginParams = $this->params;
					return $instance->processPayment();
				}
			}
		}
		
		return false;
	}
	
	/**
	 * Optional method for errors
	 */
	public function onOnlinePaymentError($plugin_id, $order_id){
		return false;
	}
	
	/**
	 * method to check the received online payment
	 *
	 * @param int $plugin_id
	 */
	public function onGetPaymentButton($plugin) {
		if ($plugin && ($this->alias == $plugin)) {
				
			$files = $this->paymentFiles();
			
			/*
			// Start capturing output into a buffer
			ob_start();
			if (file_exists($files['button']))
				include ($files['button']);
			// Done with the requested template; get the buffer and clear it.
			$body = ob_get_contents();
			ob_end_clean();
			*/
			
			$result = $this->onDisplayPaymentMethodDetail(false,true);
			
			AImporter::helper('user');
			//if is set backend user with custom config
			if(AUser::$id)
			{
				//get custom config
				$payments = AUser::paymentConfig();
				
				$id = $result->id;
				if(property_exists($payments,$id))
				{
					//unset unpublished methods
					if($payments->$id->state != 1)
					{
						return false;
					}
					//copy params
					$result->params = $payments->$id->params;
				}
			}
			
			foreach($files as $key=>$file)
			{
				if (file_exists($file))
					$result->$key = $file;
			}
										
			return $result;
		}
	
		return false;
	}
	
	/**
	 * Get path to payment files.
	 *
	 * @param string $alias
	 * @return array
	 */
	protected function paymentFiles()
	{
		//$base = PAYMENTS . DS . JString::substr($this->alias, 0, JString::strrpos($this->alias, '_')) . DS . 'method' . DS;
		$base = JPATH_PLUGINS . DS . $this->folder . DS . $this->element . DS . 'method' . DS;
		return array(
				'button' => $base . 'button.php' ,
				'config' => $base . 'config.xml' ,
				'controller' => $base . 'controller.php' ,
				'icon' => $base . 'icon.png'
				);
	}
	
	/**
	 * Get path to payment files.
	 *
	 * @param string $alias
	 * @return array
	 */
	public function onPluginFiles($plugin)
	{
		if ($plugin && ($this->alias == $plugin))
			return $this->paymentFiles();
	}
	
}