<?php

/**
 * Payment method paypal controller.
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  payments
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

AImporter::model('payment');

jimport('joomla.environment.browser');
jimport('joomla.log.log');

JLog::addLogger(array('text_file' => 'plg_bookingpayment_paypal.php'), JLog::ALL, array('plg_bookingpayment_paypal'));

class BookingPaymentPaypal
{

    public function processPayment()
    {
        $mainframe = JFactory::getApplication();
        /* @var $mainframe JApplication */
        $browser = JBrowser::getInstance();
        /* @var $browser JBrowser */
        
        $params = JRequest::get('post');
        $params['cmd'] = '_notify-validate';
        $body = http_build_query($params);
        
        $head = 'POST ' . ($path = '/cgi-bin/webscr') . ' HTTP/1.0' . ($eol = "\r\n");
        $head .= 'User-Agent: ' . ($agent = $browser->getAgentString()) . $eol;
        $head .= 'Referer: ' . JURI::root() . $eol;
        $head .= 'Server: ' . $_SERVER['SERVER_SOFTWARE'] . $eol;
        $head .= 'Host: ' . ($host = $this->pluginParams->get('testing', 'No') == 'No' ? 'www.paypal.com' : 'www.sandbox.paypal.com') . ':443' . $eol;
        $head .= 'Content-Type: application/x-www-form-urlencoded' . $eol;
        $head .= 'Content-Length: ' . ($length = JString::strlen($body)) . $eol;
        $head .= 'Accept: */*' . $eol . $eol;
        
        $handler = fsockopen('ssl://' . $host, 443, ($errno = null), ($errstr = null), 30);
        if (! $handler) {
            JLog::add($errno . ': ' . $errstr, JLog::ERROR, 'plg_bookingpayment_paypal');
            return false;
        }
        fwrite($handler, ($message = $head . $body));
        
        JLog::add($message, JLog::INFO, 'plg_bookingpayment_paypal');
        
        $response = '';
        while (! feof($handler))
            $response .= fgets($handler);
        fclose($handler);
        
        JLog::add($response, JLog::INFO, 'plg_bookingpayment_paypal');
        
        if (($verified = JString::trim(end(explode($eol, $response)))) != 'VERIFIED')
        	return false;
        if (($status = JRequest::getString('payment_status')) == 'Pending' && $verified)
            return 0;
        
        return $verified == 'VERIFIED' && $status == 'Completed';
    }
}