<?php

/**
 * Payment method PayPal.
 * After save reservation display on reservation detail options to pay with PayPal.
 * They are icons with links to PayPal.
 * Primary option to pay full price or option to pay deposit. 
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  views
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

$uri = &JURI::getInstance();
/* @var $uri JURI */
$host = $uri->toString(array('scheme', 'host', 'port'));

/* @var $this BookingViewReservation */
/* @var $payment TablePayment */

// display options to pay according reservation state
switch ($this->reservation->paid) {
	case  RESERVATION_PENDING:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			// reservation pending - display option to pay full price - deposit and pay deposit if set
			$price[] = $this->modelReservation->getFullPrice();
			// option's title
			$header[] = JText::_('FULL_RECEIVING');
			// option's tooltip 
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_FULL_PRICE_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPrice()), $payment->title));
			// URL to return from PayPal
			$return[] = $host  . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive'));
		}
		if ($this->reservation->fullDeposit && ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_DEPOSIT)) { // option to pay deposit
			$price[] = $this->reservation->fullDeposit;
			$header[] = JText::_('DEPOSIT_RECEIVING');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_DEPOSIT_S_BY_S', BookingHelper::displayPrice($this->reservation->fullDeposit), $payment->title));
			$return[] = $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receiveDeposit'));		
		}
		break;
	case  RESERVATION_RECEIVE_DEPOSIT:
		if ($payment->pay == PAYMENT_PAY_BOTH || $payment->pay == PAYMENT_PAY_FULL) {
			// only option to pay reservation price
			$price[] = $this->modelReservation->getFullPriceWithoutDeposit();
			$header[] = JText::_('PAY_REST');
			$title[] = $this->escape($payment->title) . '::' . $this->escape(JText::sprintf('PAY_PRICE_REST_S_BY_S', BookingHelper::displayPrice($this->modelReservation->getFullPriceWithoutDeposit()), $payment->title));
			$return[] = $host . JRoute::_(ARoute::payment($payment->alias, $this->reservation->id, 'receive'));
		}
		break;
	default:
	case  RESERVATION_RECEIVE:
		// reservation is receive - nothing to do
		$price = null;
		break;
}

function createForm($order_prices,$order,$params) {
		/* 
		$html[] ='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
						<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs-cz" lang="cs-cz" dir="ltr" >
        				<head></head><body style="text-align:center">';
*/
		$html[] = '<form action="https://secure.payu.com/paygw/UTF/NewPayment" id="payu_form" name="payu_form" method="post">';

		/*
		 "sig = md5(pos_id + pay_type (id not know, put ext_calc:0 to js url) + session_id + pos_auth_key + amount + desc + desc2
		 		+ order_id + firs_ name + last_name + street + street_hn + street_an + city
		 		+ post_code + country + email + phone + language + client_ip + ts + key1)"
		*/
		$sig = '';
		$time = time();
		$microtime = microtime();
		
		$html[] = '<input type="hidden" name="pos_id" value="'.trim($params->get('payu_account_id')).'">'; $sig .= trim($params->get('payu_account_id'));
		$html[] = '<input type="hidden" name="session_id" value="'.md5($order->id.'-'.$microtime).'">'; $sig .= md5($order->id.'-'.$microtime);
		$html[] = '<input type="hidden" name="pos_auth_key" value="'.trim($params->get('payu_account_authkey')).'">'; $sig .= trim($params->get('payu_account_authkey'));
		$html[] = '<input type="hidden" name="amount" value="'.($order_prices*100).'">'; $sig .= ($order_prices*100); //castka musi byt v halerich (predpokladame, ze cena je v CZK)

		$desc = str_replace('"',"'",$order->subject_title);
		 
		$html[] = '<input type="hidden" name="desc" value="'.substr($desc, 0, 50).'">'; $sig .= substr($desc, 0, 50);
		$html[] = '<input type="hidden" name="desc2" value="'.substr($desc, 0, 1024).'">'; $sig .= substr($desc, 0, 1024);
		$html[] = '<input type="hidden" name="order_id" value="'.$order->id.'">'; $sig .= $order->id;
		 
		$html[] = '<input type="hidden" name="first_name" value="'.str_replace('"',"'",$order->firstname).'">';  $sig .= str_replace('"',"'",$order->firstname);
		$html[] = '<input type="hidden" name="last_name" value="'.str_replace('"',"'",$order->surname).'">'; $sig .= str_replace('"',"'",$order->surname);

		if (preg_match('#^(.*)(\d+)\s*\/\s*(\d+)\s*$#U',$order->street, $matches)){ //if defined street 501/1
			$html[] = '<input type="hidden" name="street" value="'.str_replace('"',"'",trim($matches[1])).'">';  $sig .= str_replace('"',"'",trim($matches[1]));
			$html[] = '<input type="hidden" name="street_hn" value="'.str_replace('"',"'",$matches[2]).'">'; $sig .= str_replace('"',"'",$matches[2]);
			$html[] = '<input type="hidden" name="street_an" value="'.str_replace('"',"'",$matches[3]).'">'; $sig .= str_replace('"',"'",$matches[2]);
		}
		else{ //else put all to street...
			$html[] = '<input type="hidden" name="street" value="'.str_replace('"',"'",$order->street).'">';$sig .= str_replace('"',"'",$order->street);
		}
		 
		$html[] = '<input type="hidden" name="city" value="'.str_replace('"',"'",$order->city).'">'; $sig .= str_replace('"',"'",$order->city);
		$html[] = '<input type="hidden" name="post_code" value="'.str_replace('"',"'",$order->zip).'">'; $sig .= str_replace('"',"'",$order->zip);
		 
		$html[] = '<input type="hidden" name="country" value="'.str_replace('"',"'",$order->country).'">'; $sig .= str_replace('"',"'",$order->country);
		 
		$html[] = '<input type="hidden" name="email" value="'.str_replace('"',"'",$order->email).'">'; $sig .= str_replace('"',"'",$order->email);
		$html[] = '<input type="hidden" name="phone" value="'.str_replace('"',"'",$order->telephone).'">'; $sig .= str_replace('"',"'",$order->telephone);

		$html[] = '<input type="hidden" name="client_ip" value="'.$_SERVER['REMOTE_ADDR'].'">';$sig .= $_SERVER['REMOTE_ADDR'];
		$html[] = '<input type="hidden" name="js" value="0">';
		 
		$html[] = '<input type="hidden" name="ts" value="'.$time.'">'; $sig .= $time;
		$sig .= trim($params->get('payu_account_key1'));
		$html[] = '<input type="hidden" name="sig" value="'.md5($sig).'">';
		 
		$html[] = "
				<script language='JavaScript' type='text/JavaScript' src='https://secure.payu.com/jsgenerator/js/jquery-latest.js'></script>
				<script language='javascript' type='text/javascript' src='https://secure.payu.com/paygw/UTF/js/".$params->get('payu_account_id')."/".substr(trim($params->get('payu_account_key1')),0,2)."/template:3/ext_calc:0/paytype.js'></script>";
		 
		 
		$html[] = "<script language='JavaScript' type='text/JavaScript'>
			PlnPrintTemplate();
			</script>";
		 
		$html[] = '<br>'.JText::_('PRICE').': '.$order_prices." ".$params->get('currency')."<br>";
		 
		$html[] = '<input type="submit" value="'.JText::_('PAY_WITH_PAYU').'">';

		$html[] = "</form>";
		 
		/*
		$html[] = "<script language=\"JavaScript\" type=\"text/javascript\">
			<!--
			document.forms['payu_form'].js.value=1;
			-->
			</script>";
			*/
		 
		if ($params->get('payu_mode')=='test'){
			$html[] = '<input type="hidden" name="pay_type_t" value="" />';

			$html[] = '<script type="text/javascript">'; //set "t" pay type (for all cases)
			$html[] = "window.addEvent('domready', function() {setPayType('t');});";
			$html[] = '</script>';
		}
		 
		/*
		//automatically submit form
		$html[] = '<script type="text/javascript">';
		$html[] = 'window.onload = function() {document.payu_form.submit();};';
		$html[] = '</script>';
		 
		$html[] = '</body></html>';
		echo implode ("\n", $html);
		die;
		*/
		
		return implode ("\n", $html);
}

// display clicable icons to redirect to PayPal	
if (is_array($price)) {
	$name = JText::sprintf('RESERVING_S', $this->reservation->subject_title);
	foreach ($price as $key => $value) {
		// display icon for ever pay option (full or deposit)
?>
	<div class="hasTip payment" title="<?php echo $title[$key]; ?>">
		<strong><?php echo $header[$key]; ?></strong>
		<?php //create form for payu
			echo createForm($price[$key],$this->reservation,$params);
		?>
	</div>
<?php
	}
}
	if (count($price) == 1 && $params->get('autosubmit', 'Yes') == 'Yes') {
?>
		<script type="text/javascript">
			// <![CDATA[
			window.addEvent('domready', function() {
				document.id('payu_form').submit();
			});
			// ]]>
		</script>
<?php 
	}
?>