<?php

/**
 * Payment method paypal controller.
 * 
 * @version		$Id$
 * @package		ARTIO Booking
 * @subpackage  payments
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved.
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

defined('_JEXEC') or die('Restricted access');

AImporter::model('payment');
jimport('joomla.environment.browser');

class BookingPaymentPaypal
{

	//takže URL co se zadá do účtu musí být
	
	//oznámení: (order_id není potřeba, ale nevadí)
	//index.php?option=com_etickets&controller=onlinepayments&task=receivePayment&session_id=%sessionId%&order_id=%orderId%
	
	//positiveURL: mělo by se to přesměrovat na stránku s "obj dokončena" poté se pustí onConclusion a zjistí se reálný stav platby (nemusí být ještě dokončena, to už je na individuální domluvě)
	//index.php?option=com_booking&Itemid=101&controller=reservation&task=payment&type=payu&paid=receive&cid[0]=%orderId%&hash=%sessionId%
	//index.php?option=com_etickets&view=checkout&layout=conclusion&order_id=%orderId%
	
	//negativeURL (order_id JE potřeba)
	//wil trigger onOnlinePaymentError
	//index.php?option=com_etickets&controller=onlinepayments&task=errorPayment&session_id=%sessionId%&order_id=%orderId%
	
	// části kódu byly převzaty z dokumentace a upraveny
	
	//called by PayU when payment status changes
	
    function processPayment()
    {
    		$post = JRequest::get('post');
    			
    		// některé parametry chybějí
    		if(!isset($post["pos_id"]) || !isset($post["session_id"]) || !isset($post["ts"]) || !isset($post["sig"]))
    			die("ERROR: EMPTY PARAMETERS");
    
    		// obdržené číslo POS ID je jiné, než bylo očekáváno
    		if($post["pos_id"] != trim($this->params->get('payu_account_id')))
    			die("ERROR: INCORRECT POS ID");
    			
    		// verifikace obdrženého podpisu
    		$sig = md5($post["pos_id"].$post["session_id"].$post["ts"].trim($this->params->get('payu_account_key2')));
    			
    		// chybný podpis
    		if($post["sig"] != $sig)
    			die("ERROR: INCORRECT SIGNATURE");
    
    		//get info about status from PayU
    		$result = $this->getPaymentInfo($post["session_id"]);
    			
    		// rozpoznaný status transakce
    		if ($result["code"])
    		{
    			$parts = $result['parts'];
    			$pos_id = $parts[1];
    			$session_id = $parts[2];
    			$order_id = $parts[3];
    			$amount = $parts[4] / 100;          // v haléřích (in hellers)
    			$status = $parts[5];
    			$desc = $parts[6];
    			$ts = $parts[7];
    			$sig = $parts[8];
    			 
    			// change of transaction status in system of the shop
    			if ($result["code"] == "99") //completed
    			{
    				// platba je úspěšná
    				return true;
    			}
    			//else differnet status, well, do nothing on our side, just produce status change si received (?)
    
    			ob_clean();
    			return false;
    		}
    		else
    		{
    			//cannot get payment status...
    			echo "ERROR: Data error ....\n";
    			echo "code=".$result["code"]." message=".$result["message"]."\n";
    			// informace o změně statusu bude z payu.cz odeslána znovu, můžeme zapsat informaci do logů (logs)....
    			return false;
    		}
    
    		return false;
    }
        
    /**
     * This function return the html displayed on the order conclusion page after it's creation, if the payment plugin is used
     *
     * @param int $plugin_id
     * @param object $order
     */
    public function onOrderCreated ($plugin_id) {
    	if ($this->get('extension_id') == $plugin_id) {
    		$order_id 	= JRequest::getVar('order_id', 0, 'request', 'integer');
    		$order_model = new EticketsModelOrder();
    		$order = $order_model->getOrder ($order_id);
    			
    		$html[] ='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
						<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs-cz" lang="cs-cz" dir="ltr" >
        				<head></head><body style="text-align:center">';
    
    		$html[] = '<form action="https://secure.payu.com/paygw/UTF/NewPayment" id="payu_form" name="payu_form" method="post" >';
    
    		$order_prices = orderHelper::calculateOrderPrice($order_id);
    
    		/*
    			"sig = md5(pos_id + pay_type (id not know, put ext_calc:0 to js url) + session_id + pos_auth_key + amount + desc + desc2
    					+ order_id + firs_ name + last_name + street + street_hn + street_an + city
    					+ post_code + country + email + phone + language + client_ip + ts + key1)"
    		*/
    		$sig = '';
    		$time = time();
    		$microtime = microtime();
    		$html[] = '<input type="hidden" name="pos_id" value="'.trim($this->params->get('payu_account_id')).'">'; $sig .= trim($this->params->get('payu_account_id'));
    		$html[] = '<input type="hidden" name="session_id" value="'.md5($order->order_id.'-'.$microtime).'">'; $sig .= md5($order->order_id.'-'.$microtime);
    		$html[] = '<input type="hidden" name="pos_auth_key" value="'.trim($this->params->get('payu_account_authkey')).'">'; $sig .= trim($this->params->get('payu_account_authkey'));
    		$html[] = '<input type="hidden" name="amount" value="'.($order_prices['with']*100).'">'; $sig .= ($order_prices['with']*100); //castka musi byt v halerich (predpokladame, ze cena je v CZK)
    
    		$desc = array(); //create "description" (event names)
    		foreach ($order->items as $item)
    			$desc[] = $item->event_name;
    		$desc = str_replace('"',"'",implode(', ',array_unique($desc)));
    			
    		$html[] = '<input type="hidden" name="desc" value="'.substr($desc, 0, 50).'">'; $sig .= substr($desc, 0, 50);
    		$html[] = '<input type="hidden" name="desc2" value="'.substr($desc, 0, 1024).'">'; $sig .= substr($desc, 0, 1024);
    		$html[] = '<input type="hidden" name="order_id" value="'.$order->order_id.'">'; $sig .= $order->order_id;
    			
    		$html[] = '<input type="hidden" name="first_name" value="'.str_replace('"',"'",$order->adr_i_name).'">';  $sig .= str_replace('"',"'",$order->adr_i_name);
    		$html[] = '<input type="hidden" name="last_name" value="'.str_replace('"',"'",$order->adr_i_surname).'">'; $sig .= str_replace('"',"'",$order->adr_i_surname);
    
    		if (preg_match('#^(.*)(\d+)\s*\/\s*(\d+)\s*$#U',$order->adr_i_street, $matches)){ //if defined street 501/1
    			$html[] = '<input type="hidden" name="street" value="'.str_replace('"',"'",trim($matches[1])).'">';  $sig .= str_replace('"',"'",trim($matches[1]));
    			$html[] = '<input type="hidden" name="street_hn" value="'.str_replace('"',"'",$matches[2]).'">'; $sig .= str_replace('"',"'",$matches[2]);
    			$html[] = '<input type="hidden" name="street_an" value="'.str_replace('"',"'",$matches[3]).'">'; $sig .= str_replace('"',"'",$matches[2]);
    		}
    		else{ //else put all to street...
    			$html[] = '<input type="hidden" name="street" value="'.str_replace('"',"'",$order->adr_i_street).'">';$sig .= str_replace('"',"'",$order->adr_i_street);
    		}
    			
    		$html[] = '<input type="hidden" name="city" value="'.str_replace('"',"'",$order->adr_i_city).'">'; $sig .= str_replace('"',"'",$order->adr_i_city);
    		$html[] = '<input type="hidden" name="post_code" value="'.str_replace('"',"'",$order->adr_i_zip).'">'; $sig .= str_replace('"',"'",$order->adr_i_zip);
    			
    		$db = JFactory::getDBO(); //get country code
    		$db->setQuery('SELECT country_2_code FROM #__etickets_country WHERE country_id='.(int)$order->adr_i_country);
    		if ($countryCode = $db->loadResult()){
    			$html[] = '<input type="hidden" name="country" value="'.str_replace('"',"'",$countryCode).'">'; $sig .= str_replace('"',"'",$countryCode);
    		}
    			
    		$html[] = '<input type="hidden" name="email" value="'.str_replace('"',"'",$order->adr_i_email).'">'; $sig .= str_replace('"',"'",$order->adr_i_email);
    		$html[] = '<input type="hidden" name="phone" value="'.str_replace('"',"'",$order->adr_i_phone).'">'; $sig .= str_replace('"',"'",$order->adr_i_phone);
    
    		$html[] = '<input type="hidden" name="client_ip" value="'.$_SERVER['REMOTE_ADDR'].'">';$sig .= $_SERVER['REMOTE_ADDR'];
    		$html[] = '<input type="hidden" name="js" value="0">';
    			
    		$html[] = '<input type="hidden" name="ts" value="'.$time.'">'; $sig .= $time;
    		$sig .= trim($this->params->get('payu_account_key1'));
    		$html[] = '<input type="hidden" name="sig" value="'.md5($sig).'">';
    			
    		$html[] = "
				<script language='JavaScript' type='text/JavaScript' src='https://www.payu.cz/jsgenerator/js/jquery-latest.js'></script>
				<script language='javascript' type='text/javascript' src='https://www.payu.cz/paygw/UTF/js/".$this->params->get('payu_account_id')."/".substr(trim($this->params->get('payu_account_key1')),0,2)."/template:3/ext_calc:0/paytype.js'>
				</script>";
    			
    			
    		$html[] = "<script language='JavaScript' type='text/JavaScript'>
			PlnPrintTemplate();
			</script>";
    			
    		$html[] = '<br>'.JText::_('PRICE').': '.$order_prices['with']." CZK<br>";
    			
    		$html[] = '<input type="submit" value="'.JText::_('PAY_WITH_PAYU').'">';
    
    		$html[] = "</form>";
    			
    		$html[] = "<script language=\"JavaScript\" type=\"text/javascript\">
			<!--
			document.forms['payu_form'].js.value=1;
			-->
			</script>";
    			
    		if ($this->params->get('payu_mode')=='test'){
    			$html[] = '<input type="hidden" name="pay_type_t" value="" />';
    				
    			$html[] = '<script type="text/javascript">'; //set "t" pay type (for all cases)
    			$html[] = "window.addEvent('domready', function() {setPayType('t');});";
    			$html[] = '</script>';
    		}
    			
    		//automatically submit form
    		$html[] = '<script type="text/javascript">';
    		$html[] = 'window.onload = function() {document.payu_form.submit();};';
    		$html[] = '</script>';
    			
    		$html[] = '</body></html>';
    		echo implode ("\n", $html);
    		die;
    		//return implode ('', $html);
    	}
    
    	return '';
    }
    
    //get info about PayU payment
    public function getPaymentInfo($session_id)
    {
    	// podpis, který bude odeslán do PayU spolu s požadavkem
    	// signature that will be sent to PayU with request
    	$ts = time();
    	$sig = md5(trim($this->params->get('payu_account_id')).$session_id.$ts.trim($this->params->get('payu_account_key1')));
    
    	// příprava řetězce (string) parametrů k odeslání do PayU
    	// preparing parameters string to be sent to PayU
    	$parameters = "pos_id=".trim($this->params->get('payu_account_id'))."&session_id=".$session_id."&ts=".$ts."&sig=".$sig;
    
    	// adresy pro server PayU a metodu Payment/get
    	// addresses for PayU server and the Payment/get method
    	$server = "www.payu.cz";
    	$server_script = "/paygw/UTF/Payment/get";
    		
    	// určení metodu spojení (socket nebo CURL)
    	// determining connection method (socket or CURL)
    	$fsocket = false;
    	$curl = false;
    	if((PHP_VERSION >= 4.3) && ($fp = @fsockopen("ssl://".$server, 443, $errno, $errstr, 30)))
    		$fsocket = true;
    	elseif (function_exists("curl_exec"))
    	$curl = true;
    
    	// odesílání požadavku pomocí socket
    	// sending request via socket
    	if ($fsocket == true)
    	{
    		$header = "POST ".$server_script." HTTP/1.0"."\r\n"."Host: ".$server."\r\n".
    				"Content-Type: application/x-www-form-urlencoded"."\r\n"."Content-Length: ".
    				strlen($parameters)."\r\n"."Connection: close"."\r\n\r\n";
    		@fputs($fp, $header.$parameters);
    		$payu_response = "";
    		while (!@feof($fp))
    		{
    			$res = @fgets($fp, 1024);
    			$payu_response .= $res;
    		}
    		@fclose($fp);
    	}
    
    	// odesílání požadavku pomocí CURL
    	// sending request via CURL
    	elseif ($curl == true)
    	{
    		$ch = curl_init();
    		curl_setopt($ch, CURLOPT_URL, "https://".$server.$server_script);
    		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
    		curl_setopt($ch, CURLOPT_HEADER, 0);
    		curl_setopt($ch, CURLOPT_TIMEOUT, 20);
    		curl_setopt($ch, CURLOPT_POST, 1);
    		curl_setopt($ch, CURLOPT_POSTFIELDS, $parameters);
    		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    		$payu_response = curl_exec($ch);
    		curl_close($ch);
    	}
    
    	// není k dispozici žádná použitelná metoda spojení
    	// no connection method available
    	else
    		return array(false, 'ERROR: No connect method ');
    
    	// získávání odpovědi od PayU
    	// parsing PayU response
    	$result = false;
    	if (preg_match("/<trans>.*<pos_id>([0-9]*)<\/pos_id>.*<session_id>(.*)<\/session_id>.*<order_id>(.*)<\/order_id>.*".
    			"<amount>([0-9]*)<\/amount>.*<status>([0-9]*)<\/status>.*<desc>(.*)<\/desc>.*<ts>([0-9]*)<\/ts>.*<sig>([a-z0-9]*)".
    			"<\/sig>.*<\/trans>/is", $payu_response, $parts))
    		$result = array_merge($this->getPayUStatus($parts), array('parts' => $parts));
    	 
    	return $result;
    }
    
    
    // vrací pole s indexy:
    // "code" (číslo statusu transakce nebo false v případě chyby), "message" (popis statusu transakce nebo popis chyby)
    private function getPayUStatus($parts)
    {
    	// chybné číslo POS ID v odpovědi
    	if($parts[1] != trim($this->params->get('payu_account_id')))
    		return array("code" => false, "message" => "incorrect POS number");
    
    	// výpočet podpisu pro porovnání se sig odeslaným ze strany PayU
    	$sig = md5($parts[1].$parts[2].$parts[3].$parts[5].$parts[4].html_entity_decode($parts[6]).$parts[7].trim($this->params->get('payu_account_key2')));
    
    	// chybný podpis v odpovědi v porovnání s podpisem spočítaným lokálně
    	if($parts[8] != $sig)
    		return array("code" => false, "message" => "incorrect signature");
    
    	// různé zprávy dle statusu transakce. Popisy jednotlivých statusů jsou uvedeny v technické dokumentaci
    	switch($parts[5])
    	{
    		case 1: return array("code" => $parts[5], "message" => "new");
    		case 2: return array("code" => $parts[5], "message" => "cancelled");
    		case 3: return array("code" => $parts[5], "message" => "rejected");
    		case 4: return array("code" => $parts[5], "message" => "started");
    		case 5: return array("code" => $parts[5], "message" => "awaiting receipt");
    		case 6: return array("code" => $parts[5], "message" => "no authorization");
    		case 7: return array("code" => $parts[5], "message" => "payment rejected");
    		case 99: return array("code" => $parts[5], "message" => "payment received - ended");
    		case 888: return array("code" => $parts[5], "message" => "incorrect status");
    		default: return array("code" => false, "message" => 'Chyba: '.$this->getPayUError($parts[5])); //nemožno získat status
    	}
    }
    
    private function getPayUError($no)
    {
    	$errors = array(
    			100 => 'chybí parametr pos_id',
    			101 => 'chybí parametr session_id',
    			102 => 'chybí parametr ts',
    			103 => 'chybí parametr sig anebo nesprávná hodnota parametru sig',
    			104 => 'chybí parametr desc',
    			105 => 'chybí parametr client_ip',
    			106 => 'chybí parametr first_name',
    			107 => 'chybí parametr last_name',
    			108 => 'chybí parametr street',
    			109 => 'chybí parametr city',
    			110 => 'chybí parametr post_code',
    			111 => 'chybí parametr amount',
    			112 => 'nesprávné číslo bankovního účtu',
    			113 => 'chybí parametr email',
    			114 => 'chybí parametr tel. číslo (phone)',
    			200 => 'jiná přechodná chyba',
    			201 => 'jiná přechodná chyba databáze',
    			202 => 'POS tohoto ID je blokován',
    			203 => 'neplatná hodnota pay_type pro dané pos_id',
    			204 => 'zvolený typ platby (pay_type) je dočasně zablokován pro dané pos_id, např. z důvodu servisní odstávky platební brány',
    			205 => 'částka transakce je nižší než minimální hodnota',
    			206 => 'částka transakce je vyšší než maximální hodnota',
    			207 => 'překročena hodnota všech transakcí pro jednoho zákazníka za poslední období',
    			209 => 'neplatný pos_id nebo pos_auth_key',
    			210 => 'částka transakce obsahuje nepovolené haléřové položky',
    			500 => 'neexistující transakce',
    			501 => 'chybí autorizace pro tuto transakci',
    			502 => 'transakce začala dříve',
    			503 => 'autorizace transakce již byla vykonána',
    			504 => 'transakce byla dříve zrušena',
    			505 => 'transakce byla dříve přijata',
    			506 => 'transakce byla vybrána',
    			507 => 'chyba při převodu prostředků zpět zákazníkovi',
    			599 => 'nesprávný status transakce, např. není možné přijmout transakci několikrát a jiné – prosím, kontaktujte nás',
    			999 => 'jiná kritická chyba – prosím, kontaktujte nás');
    	 
    	return isset($errors[$no]) ? $errors[$no] : 'Neznámá chyba '.$no;
    }
}


?>